<?xml version="1.0" encoding="utf-8" ?>
<jsdl:JobDefinition
		xmlns:jsdl="http://schemas.ggf.org/jsdl/2005/11/jsdl"
		xmlns:jsdl-hpcp="http://schemas.ggf.org/jsdl/2006/07/jsdl-hpcpa"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<jsdl:JobDescription>
		<jsdl:JobIdentification>
			<jsdl:JobName>File Staging Test</jsdl:JobName>
			<jsdl:JobProject>HPCBP</jsdl:JobProject>
		</jsdl:JobIdentification>
		<jsdl:Application>
			<jsdl-hpcp:HPCProfileApplication name="HostDate" >
				<jsdl-hpcp:Executable>hostdate.bat</jsdl-hpcp:Executable>
				<jsdl-hpcp:Input></jsdl-hpcp:Input>
				<jsdl-hpcp:Output>output.txt</jsdl-hpcp:Output>
				<jsdl-hpcp:Error>error.txt</jsdl-hpcp:Error>
			</jsdl-hpcp:HPCProfileApplication>
		</jsdl:Application>
		<jsdl:Resources>
			<!-- <jsdl:CandidateHosts>
				<jsdl:HostName>A HOSTNAME</jsdl:HostName>
			</jsdl:CandidateHosts> -->
			<jsdl:ExclusiveExecution>true</jsdl:ExclusiveExecution>
			<jsdl:OperatingSystem>
				<jsdl:OperatingSystemType>
					<jsdl:OperatingSystemName>other</jsdl:OperatingSystemName>
				</jsdl:OperatingSystemType>
				<jsdl:OperatingSystemVersion>Windows_Server_2008</jsdl:OperatingSystemVersion>
				<jsdl:Description>Operating System Description</jsdl:Description>
			</jsdl:OperatingSystem>
			<jsdl:CPUArchitecture>
				<jsdl:CPUArchitectureName>x86_64</jsdl:CPUArchitectureName>
			</jsdl:CPUArchitecture>
			<jsdl:TotalCPUCount>
				<jsdl:UpperBoundedRange>1</jsdl:UpperBoundedRange>
				<jsdl:LowerBoundedRange>1</jsdl:LowerBoundedRange>
			</jsdl:TotalCPUCount>
		</jsdl:Resources>
		<jsdl:DataStaging>
			<jsdl:FileName>hostdate.bat</jsdl:FileName>
			<jsdl:CreationFlag>overwrite</jsdl:CreationFlag>
			<jsdl:DeleteOnTermination>true</jsdl:DeleteOnTermination>
			<jsdl:Source>
				<jsdl:URI>ftp://FTPSERVERNAME/hostdate.bat</jsdl:URI>
			</jsdl:Source>
      <Credential xmlns="http://schemas.ogf.org/hpcp/2007/01/fs">
				<UsernameToken xmlns="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
					<Username>FTPUSERNAME</Username>
					<Password>FTPPASSWORD</Password>
				</UsernameToken>
			</Credential>
		</jsdl:DataStaging>
		<jsdl:DataStaging>
			<jsdl:FileName>output.txt</jsdl:FileName>
			<jsdl:CreationFlag>overwrite</jsdl:CreationFlag>
			<jsdl:DeleteOnTermination>true</jsdl:DeleteOnTermination>
			<jsdl:Target>
				<jsdl:URI>ftp://FTPSERVERNAME/output.txt</jsdl:URI>
			</jsdl:Target>
      <Credential xmlns="http://schemas.ogf.org/hpcp/2007/01/fs">
				<UsernameToken xmlns="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd">
					<Username>FTPUSERNAME</Username>
					<Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">FTPPASSWORD</Password>
				</UsernameToken>
			</Credential>
		</jsdl:DataStaging>
	</jsdl:JobDescription>
</jsdl:JobDefinition>
